1. sensor
Residentia REST API
  • Residentia REST API
    • location
      • getLocations
      • getLocationByLocationNumber
    • sensor
      • getSensorBySensorId
        GET
      • getSensorHistoryBySensorId
        GET
    • overdrive
      • setOverdriveSettings
      • getOverdriveSettings
      • getOneLocationOverdriveSettings
      • getLocationOverdriveStatus
    • consumption_report
      • getMonthlyConsumption
      • getDailyConsumption
      • getDistrictHeating
      • specificEnergyConsumption
    • heating
      • getLocationHeatingCurve
      • getLocationTargetSetpoint
    • Schemas
      • LocationItem
      • LocationSensorItem
      • SensorItem
      • SensorHistoryItem
      • HistoryData
      • OverdriveBody
      • Overdrive
      • OverdrivePostResponse
      • OverdriveGetResponse
      • HeatingCurvePoint
      • HeatingCurveItem
      • TargetSetpointItem
      • OverdriveStatusItem
      • MonthlyConsumptionItem
      • SpecificEnergyTypeResult
  1. sensor

getSensorHistoryBySensorId

GET
/sensor/{sensor_id}/history
Returns one sensor and its recent history. Window length is operator-configured and may not be exactly 24h.

Request

Authorization
API Key
Add parameter in header
X-ApiKey
Example:
X-ApiKey: ********************
or
Path Params

Responses

🟢200
application/json
successful operation
Bodyapplication/json

🟠400
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/sensor/A000000001/history' \
--header 'X-ApiKey: <api-key>'
Response Response Example
200 - Example 1
{
    "sensor_id": "A000000001",
    "disp_name": "KL meno",
    "unit": "°C",
    "data": [
        {
            "value": 85.5,
            "timestamp": 1541769538
        }
    ]
}
Modified at 2026-06-18 14:38:42
Previous
getSensorBySensorId
Next
setOverdriveSettings
Built with